Bug 436686 - tg3.c does not build on sparc with > 2.6.18-53.el5 [NEEDINFO]
Summary: tg3.c does not build on sparc with > 2.6.18-53.el5
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.1
Hardware: sparc64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Andy Gospodarek
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-09 10:24 UTC by Johnny Hughes
Modified: 2009-01-20 20:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 20:21:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
agospoda: needinfo? (johnny)


Attachments (Terms of Use)
rhel5-test2.patch (1.57 KB, patch)
2008-05-07 15:48 UTC, Andy Gospodarek
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 16:06:24 UTC

Description Johnny Hughes 2008-03-09 10:24:12 UTC
Description of problem:
linux-2.6-net-tg3-update-to-driver-version-3-76.patch adds a piece of code that
calls pci_device_to_OF_node, however that is NOT available in the sparc or
sparc64 code in the 2.6.16.53.el5 kernel.

It looks like pci_device_to_OF_node is available in sparc on newer kernel kernel
versions.

Comment 2 Andy Gospodarek 2008-05-07 15:28:58 UTC
Inclusion of this patch is the problem.

commit 49b6e95ff6d05722bcf7a52b00454566ce0c44eb
Author: David S. Miller <davem@sunset.davemloft.net>
Date:   Thu Mar 29 01:38:42 2007 -0700

    [TG3]: Use pci_device_to_OF_node() on sparc.

    And use CONFIG_SPARC instead of CONFIG_SPARC64 as the
    test.

    Signed-off-by: David S. Miller <davem@davemloft.net>



Comment 3 Andy Gospodarek 2008-05-07 15:48:59 UTC
Created attachment 304775 [details]
rhel5-test2.patch

Johnny, please test this patch and let me know if you can now compile and use
tg3 on sparc.  Thanks!

Comment 4 Andy Gospodarek 2008-06-16 13:42:23 UTC
My test kernels have been updated to include a patch for this bugzilla.

http://people.redhat.com/agospoda/#rhel5

Please test them and report back your results.

Comment 5 Andy Gospodarek 2008-08-04 15:00:28 UTC
Johnny,

Did you ever test compilation on SPARC with my test kernels?  You can grab them here:

http://people.redhat.com/agospoda/#rhel5

Thanks!

Comment 7 Andy Gospodarek 2008-08-28 21:44:16 UTC
Johnny, I could still use some feedback on my test kenels and how they are working (compiling) for you.  Thanks!

Comment 8 RHEL Product and Program Management 2008-09-04 17:37:36 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 10 Don Zickus 2008-09-11 19:42:13 UTC
in kernel-2.6.18-111.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 13 errata-xmlrpc 2009-01-20 20:21:12 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html


Note You need to log in before you can comment on or make changes to this bug.